/* DxP.h
	NOTE: This header file is only used to generate the DxP14.DLL as well as the DxP14.EXE command line utility.
*/

#ifndef DXP_H
#define DXP_H

///// INCLUDES (optional)
#include "dxp_common.h"

///// DEFINES
#define MAX_PACKET_SIZE			1024	// packet=header+payload
#define MAX_RECEIVE_BUF_SIZE	1024


///// ENUMS


///// STRUCTURES
typedef struct {
	eCmnd command;							// DxP command class
	char username[MAX_USERNAME_SIZE+1];		// DxP user name
	char password[MAX_PASSWORD_SIZE+1];		// DxP password
	unsigned char desc;						// DxP command descriptor
	unsigned char param;					// DxP extra parameter
	unsigned short seq;						// DxP sequence number
} tHeader;

///// GLOBALS


///// FUNCTION PROTOTYPES


#endif


