/* dxp_common.h */

#ifndef DXPCOMMON_H
#define DXPCOMMON_H

///// INCLUDES (optional)


///// DEFINES
#define NUL			0x00
#define MAX_USERNAME_SIZE		20
#define MAX_PASSWORD_SIZE		20

#define MAX_COMMAND_CLASSES		7

/* DxP errors */
#define DXP_SUCCESS							0
#define DXP_ERROR_UNKNOWN_COMMAND_CLASS		1
#define DXP_ERROR_UNKNOWN_DESCRIPTOR_CLASS	2
#define DXP_ERROR_INVALID_PARAMETER			3
#define DXP_ERROR_WSA_STARTUP				4
#define DXP_ERROR_SOCKET					5
#define DXP_ERROR_CONNECT_FAIL				6
#define DXP_ERROR_SEND						7
#define DXP_ERROR_RECEIVE					8

///// ENUMS
typedef enum {
	eCmnd_null,
	eCmnd_set,
	eCmnd_get,
	eCmnd_io,
	eCmnd_keepAlive,
	eCmnd_rss,
	eCmnd_rcu,
	eCmnd_pcControl
} eCmnd;

typedef enum {
	eCmndIoDesc_null,
	eCmndIoDesc_changeRelay,
	eCmndIoDesc_changeRelays,
	eCmndIoDesc_getRelay,
	eCmndIoDesc_getRelays,
	eCmndIoDesc_getInput,
	eCmndIoDesc_getInputs,
	eCmndIoDesc_pulseRelay
} eCmndIoDesc;

///// STRUCTURES


///// GLOBALS


///// FUNCTION PROTOTYPES


#endif

